Index: /data/media/levels/planettest.oxw
===================================================================
--- /data/media/levels/planettest.oxw	(revision 5296)
+++ /data/media/levels/planettest.oxw	(revision 5297)
@@ -31,5 +31,5 @@
 
 
-    <Planet position="0,0,-5001" scale=1000 mesh="earth.mesh" shadow=true atmospheresize=224.0f imagesize=1024.0f />
+    <Planet position="0,0,-500" scale=100 mesh="earth.mesh" shadow=true atmospheresize=224.0f imagesize=1024.0f />
     <Model position="0, 0,-100" pitch=-90 roll=-90 scale=4 mesh="assff.mesh" />
 
Index: /data/media/levels/sample2.oxw
===================================================================
--- /data/media/levels/sample2.oxw	(revision 5296)
+++ /data/media/levels/sample2.oxw	(revision 5297)
@@ -12,5 +12,5 @@
 >
   <Scene
-   ambientlight = "0.5, 0.5, 0.5"
+   ambientlight = "0.8, 0.8, 0.8"
    skybox       = "Orxonox/Starbox"
   >
@@ -18,4 +18,25 @@
     <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
     <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
+	
+	<!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
+	<!--PositionableEntity position="0,0,0">
+		<attached>
+			<Model position="0,0,0" scale=1 mesh="axes.mesh" />
+		</attached>
+	</PositionableEntity -->
+	
+	<!-- red sphere for phsics engine testing purposes-->
+	<!--PositionableEntity position="40,0,0">
+		<attached>
+			<Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+		</attached>
+	</PositionableEntity-->
+
+	<!-- yellow cube for phsics engine testing purposes-->
+	<!--PositionableEntity position="80,0,0">
+		<attached>
+			<Model position="0,0,0" scale=1 mesh="cube.mesh" />
+		</attached>
+	</PositionableEntity-->
 
     <MovableEntity position="-300,200,-800" velocity="5,0,0" rotationaxis="1,0,0" rotationrate=0>
@@ -73,5 +94,4 @@
       </attached>
     </MovableEntity>
-
 
     <ParticleSpawner position="-500,0,-200" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
Index: /data/media/materials/scripts/axes.material
===================================================================
--- /data/media/materials/scripts/axes.material	(revision 5297)
+++ /data/media/materials/scripts/axes.material	(revision 5297)
@@ -0,0 +1,56 @@
+material blue
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.092061 0.000000 0.800000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material green
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.000000 0.800000 0.000000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material grey
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.448000 0.448000 0.448000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material red
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.000000 0.000000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
Index: /data/media/materials/scripts/cube.material
===================================================================
--- /data/media/materials/scripts/cube.material	(revision 5297)
+++ /data/media/materials/scripts/cube.material	(revision 5297)
@@ -0,0 +1,25 @@
+material cube/TEXFACE/OrxonoxYELLOW.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture OrxonoxYELLOW.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: /data/media/materials/scripts/planet.material
===================================================================
--- /data/media/materials/scripts/planet.material	(revision 5296)
+++ /data/media/materials/scripts/planet.material	(revision 5297)
@@ -7,5 +7,5 @@
 		{
 			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
+			diffuse 10.800000 10.800000 10.800000 1.000000
 			emissive 0.000000 0.000000 0.000000 1.000000
 
@@ -29,4 +29,5 @@
 material planet/Atmosphere
 {
+	receive_shadows on
 	technique
 	{
Index: /data/media/materials/scripts/satellite.material
===================================================================
--- /data/media/materials/scripts/satellite.material	(revision 5297)
+++ /data/media/materials/scripts/satellite.material	(revision 5297)
@@ -0,0 +1,214 @@
+material satellite/TEXFACE/sl_metal04.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture sl_metal04.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE/sl_metal07.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture sl_metal07.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE/sl_metal05.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture sl_metal05.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material satellite/TEXFACE/thrust.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture thrust.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE/sl_panel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture sl_panel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE/decal.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture decal.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE/dish.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture dish.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material satellite/TEXFACE/sl_foil.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture sl_foil.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: /data/media/materials/scripts/sphere.material
===================================================================
--- /data/media/materials/scripts/sphere.material	(revision 5297)
+++ /data/media/materials/scripts/sphere.material	(revision 5297)
@@ -0,0 +1,25 @@
+material sphere/TEXFACE/OrxonoxRED.tga
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.500000 0.500000 0.500000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture OrxonoxRED.tga
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}