Index: /trunk/src/lib/event/key_mapper.cc
===================================================================
--- /trunk/src/lib/event/key_mapper.cc	(revision 5297)
+++ /trunk/src/lib/event/key_mapper.cc	(revision 5298)
@@ -191,5 +191,5 @@
       {
         *map[i].pValue = keyID;
-        PRINTF(0)("Mapping %s to id %i\n", name, keyID);
+        PRINTF(0)("Mapping %s to '%s' (id %i)\n", name, SDLKToKeyname(keyID), keyID);
         break;
       }
Index: /trunk/src/lib/gui/gui_audio.cc
===================================================================
--- /trunk/src/lib/gui/gui_audio.cc	(revision 5297)
+++ /trunk/src/lib/gui/gui_audio.cc	(revision 5298)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -16,5 +16,5 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
-   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
 
@@ -44,5 +44,5 @@
       Slider* musicVolume;      //!< A Slider for music volume.
       Slider* effectsVolume;    //!< A Slider for effects volume.
-      
+
       enableSound = new CheckButton(CONFIG_NAME_DISABLE_AUDIO);
       enableSound->setFlagName ("no-sound", 0);
@@ -53,5 +53,5 @@
       Label* musicVolumeLabel = new Label(CONFIG_NAME_MUSIC_VOLUME);
       audioBox->fill(musicVolumeLabel);
-      musicVolume = new Slider("Music Volume", 0, 100);
+      musicVolume = new Slider(CONFIG_NAME_MUSIC_VOLUME, 0, 100);
       musicVolume->setFlagName("music-volume", "m", 80);
       musicVolume->setDescription("Sets the volume of the ingame music");
@@ -60,5 +60,5 @@
       Label* effectsVolumeLabel = new Label (CONFIG_NAME_EFFECTS_VOLUME);
       audioBox->fill (effectsVolumeLabel);
-      effectsVolume = new Slider ("Effects Volume", 0, 100);
+      effectsVolume = new Slider (CONFIG_NAME_EFFECTS_VOLUME, 0, 100);
       effectsVolume->setFlagName ("effects-volume", "e", 80);
       effectsVolume->setDescription("Sets the volune of the ingame SoundEffects");
@@ -71,5 +71,5 @@
 }
 
-/** 
+/**
   *  Destructs the Audio-Stuff
 */
Index: /trunk/src/orxonox.cc
===================================================================
--- /trunk/src/orxonox.cc	(revision 5297)
+++ /trunk/src/orxonox.cc	(revision 5298)
@@ -93,7 +93,5 @@
   delete Factory::getFirst();
   FastFactory::deleteAll();
-  ShellCommandBase::debug();
   ShellCommandClass::unregisterAllCommands();
-  ShellCommandBase::debug();
   LoadClassDescription::deleteAllDescriptions();
 
Index: /trunk/src/story_entities/world.cc
===================================================================
--- /trunk/src/story_entities/world.cc	(revision 5297)
+++ /trunk/src/story_entities/world.cc	(revision 5298)
@@ -456,5 +456,5 @@
 
 
-  PhysicsEngine::getInstance()->debug();
+//  PhysicsEngine::getInstance()->debug();
 
 
@@ -474,5 +474,5 @@
 
 
-  ClassList::debug();
+//  ClassList::debug();
 
   this->music = NULL;//(OggPlayer*)ResourceManager::getInstance()->load("sound/00-luke_grey_-_hypermode.ogg", OGG, RP_LEVEL);
Index: /trunk/src/util/loading/factory.cc
===================================================================
--- /trunk/src/util/loading/factory.cc	(revision 5297)
+++ /trunk/src/util/loading/factory.cc	(revision 5298)
@@ -69,5 +69,5 @@
   assert( factory != NULL);
 
-  PRINTF(4)("Registered factory for '%s'\n", factory->getName());
+  PRINTF(5)("Registered factory for '%s'\n", factory->getName());
 
   if( Factory::first == NULL)
Index: /trunk/src/util/loading/load_param.h
===================================================================
--- /trunk/src/util/loading/load_param.h	(revision 5297)
+++ /trunk/src/util/loading/load_param.h	(revision 5298)
@@ -310,5 +310,5 @@
         (*pt2Object.*function)(elem);
       else
-        PRINTF(2)("%s of %s is empty", paramName, pt2Object->getClassName());
+        PRINTF(2)("%s of %s is empty\n", paramName, pt2Object->getClassName());
     }
     else