Index: /trunk/src/defs/debug.h
===================================================================
--- /trunk/src/defs/debug.h	(revision 5299)
+++ /trunk/src/defs/debug.h	(revision 5300)
@@ -55,32 +55,38 @@
 #define HARD_DEBUG_LEVEL DEBUG
 #else /* DEBUG_SPECIAL_MODULE */
-// DEFINE MODULES
+////////////////////
+// DEFINE MODULES //
+////////////////////
+// FRAMEWORK
 #define DEBUG_MODULE_ORXONOX            2
 #define DEBUG_MODULE_WORLD              2
+#define DEBUG_MODULE_NETWORK            2
+
+// LOADING
+#define DEBUG_MODULE_LOAD               2
+#define DEBUG_MODULE_IMPORTER           2
+
+// ENGINES
+#define DEBUG_MODULE_GRAPHICS           2
+#define DEBUG_MODULE_EVENT              2
+#define DEBUG_MODULE_FONT               2
+#define DEBUG_MODULE_PARTICLE           2
+#define DEBUG_MODULE_PHYSICS            2
+#define DEBUG_MODULE_GARBAGE_COLLECTOR  2
+#define DEBUG_MODULE_OBJECT_MANAGER     2
+#define DEBUG_MODULE_ANIM               2
+#define DEBUG_MODULE_COLLISON_DETECTION 2
+#define DEBUG_MODULE_SPATIAL_SEPARATION 2
+
+// MISC
+#define DEBUG_MODULE_TRACK_MANAGER      2
+#define DEBUG_MODULE_MATH               2
+#define DEBUG_MODULE_LIGHT              2
+
 #define DEBUG_MODULE_PNODE              2
 #define DEBUG_MODULE_WORLD_ENTITY       2
-#define DEBUG_MODULE_COMMAND_NODE       2
-#define DEBUG_MODULE_GRAPHICS           2
-#define DEBUG_MODULE_LOAD               2
-
-#define DEBUG_MODULE_IMPORTER           2
-#define DEBUG_MODULE_TRACK_MANAGER      2
-#define DEBUG_MODULE_GARBAGE_COLLECTOR  2
-#define DEBUG_MODULE_OBJECT_MANAGER     2
-#define DEBUG_MODULE_LIGHT              2
+
 #define DEBUG_MODULE_PLAYER             2
 #define DEBUG_MODULE_WEAPON             2
-#define DEBUG_MODULE_MATH               2
-#define DEBUG_MODULE_FONT               2
-#define DEBUG_MODULE_ANIM               2
-#define DEBUG_MODULE_PARTICLE           2
-#define DEBUG_MODULE_PHYSICS            2
-#define DEBUG_MODULE_EVENT              2
-
-#define DEBUG_MODULE_NULL_PARENT        2
-#define DEBUG_MODULE_NETWORK            2
-
-#define DEBUG_MODULE_COLLISON_DETECTION 2
-#define DEBUG_MODULE_SPATIAL_SEPARATION 2
 
 #define HARD_DEBUG_LEVEL DEBUG_SPECIAL_MODULE
Index: /trunk/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- /trunk/src/glmenu/glmenu_imagescreen.cc	(revision 5299)
+++ /trunk/src/glmenu/glmenu_imagescreen.cc	(revision 5300)
@@ -16,4 +16,5 @@
 */
 
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_LOAD
 
 #include "glmenu_imagescreen.h"
@@ -25,5 +26,4 @@
 
 CREATE_FACTORY(GLMenuImageScreen);
-
 
 using namespace std;
Index: /trunk/src/glmenu/glmenu_imagescreen.h
===================================================================
--- /trunk/src/glmenu/glmenu_imagescreen.h	(revision 5299)
+++ /trunk/src/glmenu/glmenu_imagescreen.h	(revision 5300)
@@ -1,6 +1,6 @@
 /*!
  * @file glmenu_imagescreen.h
-  *  class to display a LoadScreen
-*/
+ * class to display a LoadScreen
+ */
 
 #ifndef _GLMENU_IMAGESCREEN_H
Index: /trunk/src/lib/coord/null_parent.cc
===================================================================
--- /trunk/src/lib/coord/null_parent.cc	(revision 5299)
+++ /trunk/src/lib/coord/null_parent.cc	(revision 5300)
@@ -16,5 +16,5 @@
 */
 
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_NULL_PARENT
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PARENT_NODE
 
 #include "null_parent.h"
Index: /trunk/src/lib/event/event_handler.cc
===================================================================
--- /trunk/src/lib/event/event_handler.cc	(revision 5299)
+++ /trunk/src/lib/event/event_handler.cc	(revision 5300)
@@ -110,5 +110,5 @@
           this->listeners[i][eventType] = el;
         else
-          PRINTF(1)("%s of class %s tried to subscribe to event %i @ state %i but this event has already been subscribed\n", el->getName(), el->getClassName(), eventType, state);
+          PRINTF(2)("%s of class %s tried to subscribe to event %i @ state %i but this event has already been subscribed\n", el->getName(), el->getClassName(), eventType, state);
     }
   else
@@ -118,5 +118,5 @@
       }
     else
-      PRINTF(1)("% of class %s tried to subscribe to event %i @ state %i but this event has already been subscribed\n", el->getName(), el->getClassName(), eventType, state);
+      PRINTF(2)("% of class %s tried to subscribe to event %i @ state %i but this event has already been subscribed\n", el->getName(), el->getClassName(), eventType, state);
 }
 
Index: /trunk/src/lib/graphics/importer/objModel.cc
===================================================================
--- /trunk/src/lib/graphics/importer/objModel.cc	(revision 5299)
+++ /trunk/src/lib/graphics/importer/objModel.cc	(revision 5300)
@@ -75,5 +75,5 @@
       strncpy(this->objPath, fileName, len);
       this->objPath[len] = '\0';
-      PRINTF(1)("Resolved file %s to Path %s.\n", fileName, this->objPath);
+      PRINTF(4)("Resolved file %s to Path %s.\n", fileName, this->objPath);
     }
   else
@@ -94,5 +94,5 @@
   if( (stream = fopen (fileName, "r")) == NULL)
     {
-      printf("Object File Could not be Opened %s\n", fileName);
+      PRINTF(2)("Object File Could not be Opened %s\n", fileName);
       return false;
     }
@@ -145,5 +145,5 @@
       else if (!strncmp(buffer, "s ", 2)) //! @todo smoothing groups have to be implemented
         {
-          PRINTF(2)("smoothing groups not supportet yet. line: %s\n", buffer);
+          PRINTF(3)("smoothing groups not supportet yet. line: %s\n", buffer);
         }
     }
@@ -153,12 +153,11 @@
 
 /**
-  *  Function to read in a mtl File.
-  * @param mtlFile The .mtl file to read
-
-    This Function parses all Lines of an mtl File.
-    The reason for it not to be in the materials-class is,
-    that a material does not have to be able to read itself in from a File.
-
-*/
+ * Function to read in a mtl File.
+ * @param mtlFile The .mtl file to read
+ *
+ * This Function parses all Lines of an mtl File.
+ * The reason for it not to be in the materials-class is,
+ * that a material does not have to be able to read itself in from a File.
+ */
 bool OBJModel::readMtlLib (const char* mtlFile)
 {
@@ -170,5 +169,5 @@
     {
       PRINTF(2)("MaterialLibrary could not be opened %s\n", fileName);
-      delete []fileName;
+      delete[] fileName;
       return false;
     }
Index: /trunk/src/story_entities/campaign.cc
===================================================================
--- /trunk/src/story_entities/campaign.cc	(revision 5299)
+++ /trunk/src/story_entities/campaign.cc	(revision 5300)
@@ -43,5 +43,5 @@
   this->setClassID(CL_CAMPAIGN, "Campaign");
 
-  PRINTF(3)("Loading Campaign...\n");
+  PRINTF(4)("Loading Campaign...\n");
 
   assert( root != NULL);
@@ -92,5 +92,5 @@
   while( element != NULL)
   {
-    printf("Campaign: Constructor: adding a world\n");
+    PRINTF(5)("Campaign: Constructor: adding a world\n");
     StoryEntity* created = (StoryEntity*) GameLoader::getInstance()->fabricate(element);
       /*
Index: /trunk/src/util/loading/game_loader.cc
===================================================================
--- /trunk/src/util/loading/game_loader.cc	(revision 5299)
+++ /trunk/src/util/loading/game_loader.cc	(revision 5300)
@@ -15,4 +15,6 @@
    co-programmer: ...
 */
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_LOAD
 
 #include "game_loader.h"
Index: /trunk/src/world_entities/player.cc
===================================================================
--- /trunk/src/world_entities/player.cc	(revision 5299)
+++ /trunk/src/world_entities/player.cc	(revision 5300)
@@ -139,5 +139,5 @@
   this->setClassID(CL_PLAYER, "Player");
 
-  PRINTF(1)("PLAYER INIT\n");
+  PRINTF(4)("PLAYER INIT\n");
   travelSpeed = 15.0;
   bUp = bDown = bLeft = bRight = bAscend = bDescend = false;
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 5299)
+++ /trunk/src/world_entities/world_entity.cc	(revision 5300)
@@ -15,4 +15,5 @@
    co-programmer: Christian Meyer
 */
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 #include "world_entity.h"