Index: /data/media/levels/sample.oxw
===================================================================
--- /data/media/levels/sample.oxw	(revision 5302)
+++ /data/media/levels/sample.oxw	(revision 5303)
@@ -19,5 +19,5 @@
 <Model position="10000,16000,0" scale="100" mesh="DuBall1.mesh"/>
 <Model position="11400,16000,0" scale="60" mesh="DuBall2.mesh"/>
-<!--<Model position="20000,20000,0" scale="2000" mesh="planet.mesh"/>-->
+<Model position="100000,0,0" scale="1000" mesh="planet.mesh"/>
 <NPC position="0,100,400" scale="1" mesh="razor.mesh"/>
 <NPC position="0,100,400" scale="1" mesh="razor.mesh"/>
Index: ta/media/materials/scripts/satellite.material
===================================================================
--- /data/media/materials/scripts/satellite.material	(revision 5302)
+++ 	(revision )
@@ -1,214 +1,0 @@
-material satellite/TEXFACE/sl_metal04.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture sl_metal04.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE/sl_metal07.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture sl_metal07.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE/sl_metal05.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture sl_metal05.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			emissive 0.000000 0.000000 0.000000 1.000000
-		}
-	}
-}
-material satellite/TEXFACE/thrust.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture thrust.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE/sl_panel.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture sl_panel.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE/decal.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture decal.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE/dish.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture dish.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}
-material satellite/TEXFACE/sl_foil.jpg
-{
-	receive_shadows on
-	technique
-	{
-		pass
-		{
-			ambient 0.500000 0.500000 0.500000 1.000000
-			diffuse 0.800000 0.800000 0.800000 1.000000
-			emissive 0.000000 0.000000 0.000000 1.000000
-			texture_unit
-			{
-				texture sl_foil.jpg
-				colour_op modulate
-			}
-		}
-		pass
-		{
-			ambient 0.0 0.0 0.0
-			diffuse 0.0 0.0 0.0
-			specular 0.000000 0.000000 0.000000 1.000000 12.500000
-			scene_blend add
-		}
-	}
-}