Index: data/media/levels/CuboidSpaceStation2.3.lua
===================================================================
--- data/media/levels/CuboidSpaceStation2.3.lua	(revision 5309)
+++ data/media/levels/CuboidSpaceStation2.3.lua	(revision 5310)
@@ -6,5 +6,12 @@
 -- The first argument ranSeed, must be false, or a positive Integer, if it is false your space station is always chosen randomly, if you give an integer,
 --	your space station will be generated randomly, but once you have the space station it will be the same.
-function createSpaceStation(ranSeed)
+-- The argument xLen defines how large the space station will be into the x-direction.
+-- The argument xVar defines how much the space station will vary at the ends in x-direction, this is so that the station is no cube.
+-- The argument yLen is the same as xLen, but for the y-direction.
+-- The argument yVar is the same as xLen, but for the y-direction.
+-- The argument zLen is the same as xLen, but for the z-direction.
+-- The argument zVar is the same as xLen, but for the z-direction.
+-- The argument givenScale scales the station proportionally in all directions.
+function createSpaceStationPar(ranSeed, xLen, xVar, yLen, yVar, zLen, zVar, givenScale)
 
 
@@ -12,5 +19,5 @@
 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 -- This prints xml code, which creates a MovableEntity, which I need to attach all the parts of the space station.
-print("<MovableEntity scale=1 position=\"0,0,0\" velocity=\"0,0,0\" rotationaxis=\"0,0,0\" rotationrate=0 >")
+print("<MovableEntity scale=1 position=\"0,0,0\" >")
 -- End create Movable Entity.
 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
@@ -35,4 +42,13 @@
 -- Define the maximal size of the space station, this is actually just for the grid, be sure that this value is big enough.
 sSSize=30
+
+--if xLen>=yLen and xLen>=zLen then
+--	sSSize=xLen+20
+--elseif yLen>=xLen and yLen>=zLen then
+--	sSSize=yLen+20
+--elseif zLen>=xLen and zLen>=yLen then
+--	sSSize=zLen+20
+--end
+
 -- Define how many parts the space station has, this value has to be exact, so be sure to increment it if you're adding a new part.
 sSParts=9
@@ -50,17 +66,17 @@
 pDim=6
 -- Define the length in x-direction of the space station which will be occupied by bodyparts.
-xBPLength=4
+xBPLength=xLen
 -- Define the variation of the edges of your bodyparts in the x-direction.
-xBPVar=1
+xBPVar=xVar
 -- Define the length in y-direction of the space station which will be occupied by bodyparts.
-yBPLength=2
+yBPLength=yLen
 -- Define the variation of the edges of your bodyparts in the y-direction.
-yBPVar=1
+yBPVar=yVar
 -- Define the length in the z-direction of the space station which will be occupied by bodyparts.
-zBPLength=6
+zBPLength=zLen
 -- Define the variation of the edges of your bodyparts in the z-direction.
-zBPVar=1
+zBPVar=zVar
 -- Define the scale of the space station.
-sSScale=100
+sSScale=givenScale
 -- Define the griddimension, be sure this value matches the size of a single space station part plus the size of a connection part, which means your parts must be:
 --	integer*(gridDim-connectionSize), then integer tells you how many griddimensions your part is.
@@ -748,3 +764,7 @@
 
 
-
+-- This function is for the lazy guys, which do not care how the space station looks like, so I use some good standard values.
+function createSpaceStation()
+	createSpaceStationPar(false,4,1,2,1,6,1,100)
+end
+
Index: data/media/levels/CuboidSpaceStation2.oxw
===================================================================
--- data/media/levels/CuboidSpaceStation2.oxw	(revision 5309)
+++ data/media/levels/CuboidSpaceStation2.oxw	(revision 5310)
@@ -23,5 +23,6 @@
 ?>
 
-
+<!-- The following examples insert some space station in various ways, so I guess you will understand how to use my .lua file and the functions of it.
+--->
 
 <!-- Here I add a space station at position 0,0,0 without velocity and no rotation.
@@ -29,18 +30,62 @@
 --->
 <?lua
-	createSpaceStation(false)
+	createSpaceStation()
 ?>
 
 
 
-<!-- Here I add a space station at position 0,0,-1000 without velocity and no rotation.
+<!-- Here I add a space station at position 0,0,-5000 without velocity and no rotation.
 --->
 <PositionableEntity scale=1 position="0,0,-5000">
 	<attached>
 		<?lua
-			createSpaceStation(false)
+			createSpaceStation()
 		?>
-		</attached>
-	</PositionableEntity>
+	</attached>
+</PositionableEntity>
+
+
+
+<!-- Here I add a space station at position 5000,0,0 with velocity 50,0,0 and a rotation so that the space station faces into the positive x-axis.
+--->
+<MovableEntity scale=1 position="5000,0,0" velocity="50,0,0" yaw=-90>
+	<attached>
+		<?lua
+			createSpaceStation()
+		?>
+	</attached>
+</MovableEntity>
+
+
+
+<!-- Here I add a space station at position -5000,0,0 without velocity but rotation around his own y-axis.
+--->
+<MovableEntity scale=1 position="-5000,0,0" rotationaxis="0,1,0" rotationrate=5>
+	<attached>
+		<?lua
+			createSpaceStation()
+		?>
+	</attached>
+</MovableEntity>
+
+
+
+<!-- Here I add a space station at position 10000,0,0 which will rotate around the position 0,0,0 and around his own axis in flight direction.
+---- To do so, I create a MovableEntity at position 0,0,0 and attach another MovableEntity with relative coordinates to the first MovableEntity 10000,0,0.
+---- I rotate the first MovableEntity, so the second Entity rotates around 0,0,0 in the x-,z-area with a radius 10000, and so does the space station,
+---- because the space station is attached to the second MovableEntity with relative coordinates 0,0,0 (this is defined in the .lua file).
+---- Then I rotate also the second MovableEntity around his own z-axis, so the space station rotates also around its own axis.
+--->
+<MovableEntity scale=1 position="0,0,0" rotationaxis="0,1,0" rotationrate=3>
+	<attached>
+		<MovableEntity scale=1 position="10000,0,0" rotationaxis="0,0,1" rotationrate=2>
+			<attached>
+				<?lua
+					createSpaceStationPar(false,2,1,2,1,2,1,50)
+				?>
+			</attached>
+		</MovableEntity>
+	</attached>
+</MovableEntity>
 
 