Index: data/media/materials/scripts/Bump_Specular.material
===================================================================
--- data/media/materials/scripts/Bump_Specular.material	(revision 5312)
+++ data/media/materials/scripts/Bump_Specular.material	(revision 5313)
@@ -106,5 +106,5 @@
 	}
 
-	
+
 // This is the fallback which cards which don't have fragment program
 	// support will use, NB does not support specular colour
Index: data/media/materials/scripts/Console.material
===================================================================
--- data/media/materials/scripts/Console.material	(revision 5312)
+++ data/media/materials/scripts/Console.material	(revision 5313)
@@ -15,5 +15,5 @@
 		}
 	}
-}	
+}
 
 material ConsoleCenter
@@ -33,5 +33,5 @@
 		}
 	}
-}	
+}
 
 material ConsoleNoise
@@ -51,5 +51,5 @@
 		}
 	}
-}						
+}
 
 material ConsoleNoiseSmall
@@ -88,5 +88,5 @@
 			{
 				colour_op_ex modulate src_manual src_current 0 1 0 0.5
-			} 
+			}
 		}
 	}
Index: data/media/materials/scripts/Example.material
===================================================================
--- data/media/materials/scripts/Example.material	(revision 5312)
+++ data/media/materials/scripts/Example.material	(revision 5313)
Index: data/media/materials/scripts/Examples.compositor
===================================================================
--- data/media/materials/scripts/Examples.compositor	(revision 5312)
+++ data/media/materials/scripts/Examples.compositor	(revision 5313)
Index: data/media/materials/scripts/Flares.material
===================================================================
--- data/media/materials/scripts/Flares.material	(revision 5312)
+++ data/media/materials/scripts/Flares.material	(revision 5313)
Index: data/media/materials/scripts/MotionBlur.compositor
===================================================================
--- data/media/materials/scripts/MotionBlur.compositor	(revision 5312)
+++ data/media/materials/scripts/MotionBlur.compositor	(revision 5313)
Index: data/media/materials/scripts/Orxonox.material
===================================================================
--- data/media/materials/scripts/Orxonox.material	(revision 5312)
+++ data/media/materials/scripts/Orxonox.material	(revision 5313)
Index: data/media/materials/scripts/OrxonoxSky.material
===================================================================
--- data/media/materials/scripts/OrxonoxSky.material	(revision 5312)
+++ data/media/materials/scripts/OrxonoxSky.material	(revision 5313)
@@ -95,5 +95,5 @@
       pass
       {
-         
+
          depth_writing off
 
@@ -104,3 +104,3 @@
       }
    }
-} 
+}
Index: data/media/materials/scripts/PE_materials.material
===================================================================
--- data/media/materials/scripts/PE_materials.material	(revision 5312)
+++ data/media/materials/scripts/PE_materials.material	(revision 5313)
Index: data/media/materials/scripts/Stats.material
===================================================================
--- data/media/materials/scripts/Stats.material	(revision 5312)
+++ data/media/materials/scripts/Stats.material	(revision 5313)
@@ -15,5 +15,5 @@
 		}
 	}
-}	
+}
 
 material StatsCenter
@@ -33,5 +33,5 @@
 		}
 	}
-}	
+}
 
 material StatsNoise
@@ -51,5 +51,5 @@
 		}
 	}
-}						
+}
 
 material StatsNoiseSmall
Index: data/media/materials/scripts/Trail.material
===================================================================
--- data/media/materials/scripts/Trail.material	(revision 5312)
+++ data/media/materials/scripts/Trail.material	(revision 5313)
Index: data/media/materials/scripts/assff.material
===================================================================
--- data/media/materials/scripts/assff.material	(revision 5312)
+++ data/media/materials/scripts/assff.material	(revision 5313)
Index: data/media/materials/scripts/asteroids.material
===================================================================
--- data/media/materials/scripts/asteroids.material	(revision 5312)
+++ data/media/materials/scripts/asteroids.material	(revision 5313)
@@ -12,5 +12,5 @@
 		param_named_auto ambient ambient_light_colour
 	}
-	
+
 }
 
Index: data/media/materials/scripts/planet.material
===================================================================
--- data/media/materials/scripts/planet.material	(revision 5312)
+++ data/media/materials/scripts/planet.material	(revision 5313)
Index: data/media/materials/scripts/rock.material
===================================================================
--- data/media/materials/scripts/rock.material	(revision 5312)
+++ data/media/materials/scripts/rock.material	(revision 5313)