Index: trunk/src/lib/gui/gl_gui/Makefile.am
===================================================================
--- trunk/src/lib/gui/gui_opengl/Makefile.am	(revision 5314)
+++ trunk/src/lib/gui/gl_gui/Makefile.am	(revision 5315)
@@ -4,10 +4,10 @@
 AM_LDFLAGS = 
 
-noinst_LIBRARIES = libORXguiGL.a 
+noinst_LIBRARIES = libORXglgui.a 
 
-libORXguiGL_a_CPPFLAGS = -DBUILD_ORXONOX
+libORXglgui_a_CPPFLAGS = -DBUILD_ORXONOX
 
 
-libORXguiGL_a_SOURCES = glmenu/glmenu_imagescreen.cc
+libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc
 
 noinst_HEADERS= glmenu/glmenu_imagescreen.h
Index: trunk/src/lib/gui/gl_gui/Makefile.in
===================================================================
--- trunk/src/lib/gui/gui_opengl/Makefile.in	(revision 5314)
+++ trunk/src/lib/gui/gl_gui/Makefile.in	(revision 5315)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXguiGL_a_SOURCES)
+SOURCES = $(libORXglgui_a_SOURCES)
 
 srcdir = @srcdir@
@@ -39,5 +39,5 @@
 POST_UNINSTALL = :
 host_triplet = @host@
-subdir = src/lib/gui/gui_opengl
+subdir = src/lib/gui/gl_gui
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -52,13 +52,13 @@
 AR = ar
 ARFLAGS = cru
-libORXguiGL_a_AR = $(AR) $(ARFLAGS)
-libORXguiGL_a_LIBADD =
-am_libORXguiGL_a_OBJECTS = libORXguiGL_a-glmenu_imagescreen.$(OBJEXT)
-libORXguiGL_a_OBJECTS = $(am_libORXguiGL_a_OBJECTS)
+libORXglgui_a_AR = $(AR) $(ARFLAGS)
+libORXglgui_a_LIBADD =
+am_libORXglgui_a_OBJECTS = libORXglgui_a-glmenu_imagescreen.$(OBJEXT)
+libORXglgui_a_OBJECTS = $(am_libORXglgui_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 @AMDEP_TRUE@DEP_FILES =  \
-@AMDEP_TRUE@	./$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Po
+@AMDEP_TRUE@	./$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -66,6 +66,6 @@
 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
-SOURCES = $(libORXguiGL_a_SOURCES)
-DIST_SOURCES = $(libORXguiGL_a_SOURCES)
+SOURCES = $(libORXglgui_a_SOURCES)
+DIST_SOURCES = $(libORXglgui_a_SOURCES)
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
@@ -182,7 +182,7 @@
 MAINSRCDIR = ../../..
 AM_LDFLAGS = 
-noinst_LIBRARIES = libORXguiGL.a 
-libORXguiGL_a_CPPFLAGS = -DBUILD_ORXONOX
-libORXguiGL_a_SOURCES = glmenu/glmenu_imagescreen.cc
+noinst_LIBRARIES = libORXglgui.a 
+libORXglgui_a_CPPFLAGS = -DBUILD_ORXONOX
+libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc
 noinst_HEADERS = glmenu/glmenu_imagescreen.h
 EXTRA_DIST = 
@@ -200,7 +200,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui_opengl/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gui_opengl/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gl_gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -223,8 +223,8 @@
 clean-noinstLIBRARIES:
 	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
-libORXguiGL.a: $(libORXguiGL_a_OBJECTS) $(libORXguiGL_a_DEPENDENCIES) 
-	-rm -f libORXguiGL.a
-	$(libORXguiGL_a_AR) libORXguiGL.a $(libORXguiGL_a_OBJECTS) $(libORXguiGL_a_LIBADD)
-	$(RANLIB) libORXguiGL.a
+libORXglgui.a: $(libORXglgui_a_OBJECTS) $(libORXglgui_a_DEPENDENCIES) 
+	-rm -f libORXglgui.a
+	$(libORXglgui_a_AR) libORXglgui.a $(libORXglgui_a_OBJECTS) $(libORXglgui_a_LIBADD)
+	$(RANLIB) libORXglgui.a
 
 mostlyclean-compile:
@@ -234,5 +234,5 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po@am__quote@
 
 .cc.o:
@@ -252,19 +252,19 @@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
-libORXguiGL_a-glmenu_imagescreen.o: glmenu/glmenu_imagescreen.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXguiGL_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libORXguiGL_a-glmenu_imagescreen.o -MD -MP -MF "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Tpo" -c -o libORXguiGL_a-glmenu_imagescreen.o `test -f 'glmenu/glmenu_imagescreen.cc' || echo '$(srcdir)/'`glmenu/glmenu_imagescreen.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Tpo" "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Po"; else rm -f "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glmenu/glmenu_imagescreen.cc' object='libORXguiGL_a-glmenu_imagescreen.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Po' tmpdepfile='$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.TPo' @AMDEPBACKSLASH@
+libORXglgui_a-glmenu_imagescreen.o: glmenu/glmenu_imagescreen.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libORXglgui_a-glmenu_imagescreen.o -MD -MP -MF "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Tpo" -c -o libORXglgui_a-glmenu_imagescreen.o `test -f 'glmenu/glmenu_imagescreen.cc' || echo '$(srcdir)/'`glmenu/glmenu_imagescreen.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Tpo" "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po"; else rm -f "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glmenu/glmenu_imagescreen.cc' object='libORXglgui_a-glmenu_imagescreen.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po' tmpdepfile='$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXguiGL_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXguiGL_a-glmenu_imagescreen.o `test -f 'glmenu/glmenu_imagescreen.cc' || echo '$(srcdir)/'`glmenu/glmenu_imagescreen.cc
-
-libORXguiGL_a-glmenu_imagescreen.obj: glmenu/glmenu_imagescreen.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXguiGL_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libORXguiGL_a-glmenu_imagescreen.obj -MD -MP -MF "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Tpo" -c -o libORXguiGL_a-glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Tpo" "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Po"; else rm -f "$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glmenu/glmenu_imagescreen.cc' object='libORXguiGL_a-glmenu_imagescreen.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.Po' tmpdepfile='$(DEPDIR)/libORXguiGL_a-glmenu_imagescreen.TPo' @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXglgui_a-glmenu_imagescreen.o `test -f 'glmenu/glmenu_imagescreen.cc' || echo '$(srcdir)/'`glmenu/glmenu_imagescreen.cc
+
+libORXglgui_a-glmenu_imagescreen.obj: glmenu/glmenu_imagescreen.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libORXglgui_a-glmenu_imagescreen.obj -MD -MP -MF "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Tpo" -c -o libORXglgui_a-glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Tpo" "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po"; else rm -f "$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='glmenu/glmenu_imagescreen.cc' object='libORXglgui_a-glmenu_imagescreen.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.Po' tmpdepfile='$(DEPDIR)/libORXglgui_a-glmenu_imagescreen.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXguiGL_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXguiGL_a-glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libORXglgui_a_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libORXglgui_a-glmenu_imagescreen.obj `if test -f 'glmenu/glmenu_imagescreen.cc'; then $(CYGPATH_W) 'glmenu/glmenu_imagescreen.cc'; else $(CYGPATH_W) '$(srcdir)/glmenu/glmenu_imagescreen.cc'; fi`
 uninstall-info-am:
 